¿Cómo instalo el paquete Deb de Adobe Acrobat Reader descargado del sitio web de Adobe?

92

Soy nuevo en Ubuntu, pero creo que tengo Ubuntu 11.10 instalado correctamente. Estoy intentando instalar Acroread usando AdbeRdr9.4.6-1_i386linux_enu.deb que descargué del sitio web de Adobe. ¿Cómo hago esto?

    
pregunta ubuntu_rookie 20.12.2011 - 04:56

9 respuestas

84

Todas las versiones de Ubuntu anteriores a 13.10

Para instalar Adobe Acrobat, deberá habilitar el repositorio socios canónicos en la pestaña Fuentes de software del Administrador de actualizaciones

Utilice Tablero y busque Fuentes de software o Software & amp; Actualizaciones en 13.04 y posteriores.

Si no ve esas opciones en Fuentes de software, puede usar el siguiente comando desde una terminal:

sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"

Luego, en un terminal, puede actualizar e instalar Acrobat Reader:

sudo apt-get update
sudo apt-get install acroread

Se recomienda encarecidamente desde un punto de vista de seguridad utilizar la versión en los repositorios.

Si, por cualquier razón, desea descargar directamente de Adobe e instalar, se aplican las siguientes instrucciones:

Utilizando firefox navegar a:

Elija las siguientes opciones como se muestra en la imagen, es decir, descargue el paquete .deb

Cuando se hace clic en el botón Descargar:

Déjelo en el valor predeterminado para abrir en el Centro de software donde puede instalarlo.

Si ha configurado sus descargas para que se guarden automáticamente en su carpeta de Descargas:

cd ~/Downloads
sudo dpkg -i AdbeRdr*.deb
    
respondido por el fossfreedom 20.12.2011 - 10:59
80

REVISADO: 2016-Nov ( solo texto )

para Ubuntu 14.04 LTS, 16.04 LTS y 16.10, 32 o 64 bits

[adaptado de: enlace ]

Adobe Reader 9 no está en el repositorio "Partner" para 13.10 (o posterior).

  1. Descargar Adobe Reader (32 bits), desde Adobe sitio:

    Desde aquí: ftp. adobe.com .. reader .. 9.5.5

    Verifique MD5SUM después de la descarga, ingrese

    md5sum AdbeRdr9.5.5-1_i386linux_enu.deb
    

    la salida debería ser

    88036c68998d565c4365e2ad89b04d51 AdbeRdr9.5.5-1_i386linux_enu.deb
    
  2. Abra una línea de comando, cambie al directorio que contiene el archivo .deb .

  3. Instalar el paquete, forzando a aceptar la versión de 32 bits y cualquier error:

    sudo dpkg -i --force-architecture AdbeRdr9.5.5-1_i386linux_enu.deb
    sudo apt-get -f install
    
  4. Agregue las bibliotecas de 32 bits que faltan: ( omita este paso para 32 bits )

    sudo apt-get install libxml2:i386 lib32stdc++6
    
  5. (Opcional) Ejecutar por primera vez, para obtener el icono en la barra de menú de Unity.

    acroread <path>/<MyDocument>.pdf
    

para Ubuntu 12.04 LTS

  1. Agregue el repositorio "Socio canónico"

    sudo add-apt-repository "deb http://archive.canonical.com/ubuntu $(lsb_release -sc) partner"
    
  2. Actualiza tu sistema

    sudo apt-get update
    
  3. Instalar Adobe Reader y extensiones de fuente

    sudo apt-get -y install acroread acroread-fonts
    
  4. (Opcional) Ejecutar por primera vez, para obtener el icono en la barra de menú de Unity.

    acroread <path>/<MyDocument>.pdf
    
respondido por el david6 20.12.2011 - 05:05
9

Para descarado (13.10), puede incluir el repositorio de socios rarings. Así es como lo hice:

sudo echo -e '# for acroread\ndeb http://archive.canonical.com/ubuntu/ raring partner' > /etc/apt/sources.list.d/raring-partner.list
sudo apt-get update
sudo apt-get install acroread

apt-cache show acroread
# Package: acroread
# Architecture: amd64
# Version: 9.5.5-1raring1
# Depends: debconf (>= 0.5) | debconf-2.0, acroread-bin, nspluginwrapper
# [...]

apt-cache policy acroread
# acroread:
#   Installiert:           9.5.5-1raring1
#   Installationskandidat: 9.5.5-1raring1
#   Versionstabelle:
#  *** 9.5.5-1raring1 0
#         500 http://archive.canonical.com/ubuntu/ raring/partner amd64 Packages
#         100 /var/lib/dpkg/status
    
respondido por el MoreIT 22.01.2014 - 13:41
2

Parece que Adobe no va a admitir Linux en el futuro cercano (consulte la publicación aquí ), a menos que exista un aumento en el número de usuarios de Linux que solicitan asistencia. Para ello, complete el siguiente formulario de solicitud de funciones de Adobe: Formulario de solicitud de información / informe de errores .

Como alternativa, puede cambiar a lectores Foxit o maestro pdf , que en realidad son más rápidos de abrir y ofrecen más funciones gratuitas que Adobe Reader.

    
respondido por el Theodoros P. 02.03.2017 - 14:51
2

Ubuntu 16.10 en amd64 parece requerir

sudo apt-get -f install
sudo apt-get -y install adobereader-enu

Sin i386 en 64-bit env acroread da file not found y GTK errors, así que ejecuta:

sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get -y install libc6:i386 libncurses5:i386 libstdc++6:i386 libglib2.0-0:i386 libsoup2.4-1:i386 libgtk2.0-0:i386
sudo apt-get -y install libicu-dev:i386 gtk2-engines-murrine libcanberra-gtk-module:i386 gtk2-engines-murrine:i386

Esto puede ser redundante ya que el contenedor principal es i386

sudo apt-get -y install gtk2-engines gtk2-engines-* libgtkmm-2.4-1c2 libcanberra-gtk-module
    
respondido por el jtm 14.04.2017 - 07:14
1

Acroread ahora está disponible en el repositorio de socios de Quantal.

Ver este error de Launchpad:

Dice Precise en el título, pero se aplica a precisión, cuantal y entusiasmo.

    
respondido por el Mark Russell 12.03.2013 - 21:26
0

Puedes hacer:

# sudo dpkg -i AdbeRdr9.4.6-1_i386linux_enu.deb

Pero lo recomiendo como mejor lector de pdf. Es el valor predeterminado en quantal.

    
respondido por el Óscar García Amor 06.11.2012 - 12:41
0

La respuesta de NOrbert funcionó para mí, pero solo cuando agregué la opción --reinstall cuando instalé el paquete acroread.

sudo apt-get install --reinstall ./AdbeRdr9.5.5-1_i386linux_enu.deb
    
respondido por el Steve Newcomb 04.08.2018 - 21:24
0

Combiné los métodos anteriores para poder instalar Adobe Acrobat Reader en
Ubuntu 16.04 LTS Xenial Xerus y Ubuntu 18.04 LTS Bionic Beaver :

cd ~/Downloads
wget ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i386linux_enu.deb
sudo apt-get -y install libxml2:i386 libcanberra-gtk-module:i386 \
gtk2-engines-murrine:i386 libatk-adaptor:i386

sudo apt-get install ./AdbeRdr9.5.5-1_i386linux_enu.deb

Entonces uno puede lanzarlo con acroread .

Nota: lo que hace que Adobe Reader sea casi único y útil: es su búsqueda en archivos (se accede pulsando Ctrl + Shift + F ).

    
respondido por el N0rbert 05.05.2018 - 00:28

Lea otras preguntas en las etiquetas